/**
 * 处理名称的函数
 * 
 * @param {string} n - 输入的字符串，将在其中查找并标记关键字。
 * @param {string} inputValue - 用户输入的值，用于匹配和标记关键字。
 * @returns {Array<{t: string, k: boolean}>} 包含对象的数组，每个对象表示字符串的一部分以及是否为关键字。
 */
function handleTradeName(n, inputValue) {
  const v = inputValue.trim();
  const keywordRegex = new RegExp(`(${v})`, 'gi');
  const parts = n.split(keywordRegex);
  return parts.map((t) => ({
    t,
    k: t.toLowerCase() === v.toLowerCase(),
  }));
}

module.exports = {
  handleTradeName,
};
export { handleTradeName };